std::weibull_distribution< _RealType >::param_type(3cxx)

NAME
std::weibull_distribution< _RealType >::param_type

SYNOPSIS

#include <random.h>

  Public Types

typedef weibull_distribution< _RealType > distribution_type

  Public Member Functions

param_type (_RealType __a, _RealType __b=_RealType(1.0))
_RealType a () const
_RealType b () const

  Friends

bool operator!= (const param_type &__p1, const param_type &__p2)
bool operator== (const param_type &__p1, const param_type &__p2)

Detailed Description

  template<typename _RealType = double>
struct std::weibull_distribution< _RealType >::param_type"Parameter type.

Definition at line 4864 of file random.h.

Member Typedef Documentation

  template<typename _RealType = double> typedef weibull_distribution<_RealType> std::weibull_distribution< _RealType >::param_type::distribution_type

Definition at line 4866 of file random.h.

Constructor & Destructor Documentation

  template<typename _RealType = double> std::weibull_distribution< _RealType >::param_type::param_type () [inline]

Definition at line 4868 of file random.h.

  template<typename _RealType = double> std::weibull_distribution< _RealType >::param_type::param_type (_RealType __a, _RealType __b = _RealType(1.0)) [inline], [explicit]

Definition at line 4871 of file random.h.

Member Function Documentation

  template<typename _RealType = double> _RealType std::weibull_distribution< _RealType >::param_type::a () const [inline]

Definition at line 4876 of file random.h.

  template<typename _RealType = double> _RealType std::weibull_distribution< _RealType >::param_type::b () const [inline]

Definition at line 4880 of file random.h.

Friends And Related Symbol Documentation

  template<typename _RealType = double> bool operator!= (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 4888 of file random.h.

  template<typename _RealType = double> bool operator== (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 4884 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.